aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--pyfu/build.sh6
-rw-r--r--pyfu/meta.yaml11
2 files changed, 9 insertions, 8 deletions
diff --git a/pyfu/build.sh b/pyfu/build.sh
index 2881c55..dea1737 100644
--- a/pyfu/build.sh
+++ b/pyfu/build.sh
@@ -1,5 +1,7 @@
+set -e
+
# Install as a Python package:
-python setup.py install || exit 1
+$PYTHON -m pip install . --no-deps --ignore-installed --no-cache-dir -v
# Documentation:
mkdir -p ${PREFIX}/share/pyfu && cp -p README LICENSE ${PREFIX}/share/pyfu/
@@ -11,7 +13,7 @@ mkdir -p ${PREFIX}/share/pyfu && cp -p README LICENSE ${PREFIX}/share/pyfu/
. ac_iraf_defs
ext_path="${PREFIX}/${extern_dir}"
-mkdir -p "$ext_path" || exit 1
+mkdir -p "$ext_path"
(cd "$ext_path" && ln -s ${SP_DIR}/pyfu .)
diff --git a/pyfu/meta.yaml b/pyfu/meta.yaml
index 2b1e758..55f6e4c 100644
--- a/pyfu/meta.yaml
+++ b/pyfu/meta.yaml
@@ -1,8 +1,3 @@
-about:
- home: http://drforum.gemini.edu/topic/pyfu-datacube-mosaicking-package
- license: BSD
- license_file: LICENSE
- summary: IFU datacube mosaicking package for PyRAF and Python
build:
number: '0'
# These must be copied from astroconda-iraf-helpers, as conda unhelpfully
@@ -15,6 +10,11 @@ package:
version: "0.10"
source:
svn_url: http://scisoft.gemini.edu/svn/ifudr/pyfu/0.10
+about:
+ home: http://drforum.gemini.edu/topic/pyfu-datacube-mosaicking-package
+ license: BSD
+ license_file: LICENSE
+ summary: IFU datacube mosaicking package for PyRAF and Python
requirements:
build:
- astroconda-iraf-helpers
@@ -28,4 +28,3 @@ requirements:
# PyRAF is an optional dependency if the IRAF interface is used but is not
# needed by the Python interface so don't require it here, as that would
# also drag in IRAF etc.
-